MrSID Decode SDK for Raster Reference Manual 9.5.4.4709

- Main Page
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
MrSIDSingleImageReaderBase Class Reference

`#include <MrSIDImageReaderBase.h>`

Inheritance diagram for MrSIDSingleImageReaderBase:
[legend]
Collaboration diagram for MrSIDSingleImageReaderBase:
[legend]

## Public Member Functions
virtual lt_int64 | getEncodingCost (const LTIScene &scene) const
| get the cost to encode this scene More...
virtual lt_uint32 | getModifications (const LTIScene &scene) const
| get the modification bitfield for this image More...
Public Member Functions inherited from MrSIDImageReaderInterface
virtual | ~MrSIDImageReaderInterface ()
virtual lt_uint8 | getNumLevels () const =0
| get number of resolution levels More...
virtual bool | isLocked () const =0
| image encryption query More...
void | setPasswordDelegate (MrSIDPasswordDelegate *passwordDelegate)
| set password handler More...
void | setPassword (const lt_utf8 *password)
| set password handler More...
virtual void | setMaxWorkerThreads (int numThreads)=0
| set the maximum number of worker threads More...
virtual int | getMaxWorkerThreads () const =0
| get the maximum number of worker threads More...
LT_STATUS | getMrSIDGeneration (lt_uint8 &gen, bool &raster) const
| get MrSID generation More...
LT_STATUS | getMrSIDVersion (lt_uint8 &major, lt_uint8 &minor, lt_uint8 &tweak, char &letter) const
| get MrSID image version (for LizardTech internal use only) More...

## Protected Member Functions
| MrSIDSingleImageReaderBase (bool supportBandSelection)
| ~MrSIDSingleImageReaderBase (void)
LT_STATUS | init (MrSIDImageStageManager *manager)
Protected Member Functions inherited from LTIGeoImageReader
| LTIGeoImageReader (bool supportBandSelection)
LT_STATUS | init (bool useWorldFile)
bool | getUseWorldFile () const
LT_STATUS | readWorldFile (const LTFileSpec &file, bool &changed, bool doUseWorldFileTest=true)
LT_STATUS | readWorldFile (LTIOStreamInf &stream, bool &changed, bool doUseWorldFileTest=true)
Protected Member Functions inherited from LTIImageReader
| LTIImageReader (bool supportBandSelection)
LT_STATUS | init (const LTIImage *image=NULL)
LT_STATUS | loadMetadataIntoObjects (const LTIMetadataDatabase &fileMetadata, LTIPixel &pixelProps, bool updatePixelProps, bool updateGeoCoord)
virtual const char * | getSourceName (void) const =0
Protected Member Functions inherited from MrSIDImageReaderInterface
| MrSIDImageReaderInterface ()
LT_STATUS | init (MrSIDMemoryUsage memoryUsage, MrSIDStreamUsage streamUsage, const lt_uint8 preamble[8])

## Protected Attributes
MrSIDImageStageManager * | m_manager
Protected Attributes inherited from MrSIDImageReaderInterface
MrSIDMemoryUsage | m_memoryUsage
MrSIDStreamUsage | m_streamUsage
lt_uint8 | m_magic [8]

## Additional Inherited Members
Static Public Member Functions inherited from MrSIDImageReaderInterface
static LT_STATUS | getMrSIDGeneration (const LTFileSpec &fileSpec, lt_uint8 &gen, bool &raster)
| get MrSID generation More...
static LT_STATUS | getMrSIDGeneration (LTIOStreamInf &stream, lt_uint8 &gen, bool &raster)
| get MrSID generation More...
static LT_STATUS | getMrSIDGeneration (const lt_uint8 version[8], lt_uint8 &gen, bool &raster)
| get MrSID generation More...
Static Protected Member Functions inherited from MrSIDImageReaderInterface
static LT_STATUS | getGeoCoordFromMetadata (LTIMetadataDatabase &metadata, LTIGeoCoord &geoCoord, bool &hasGeo)
static LTIOStreamInf * | openWorldFileStream (const LTFileSpec &fileSpec, bool useWorldFile)

## Detailed Description

Definition at line 261 of file MrSIDImageReaderBase.h.

## Constructor & Destructor Documentation

MrSIDSingleImageReaderBase::MrSIDSingleImageReaderBase | ( | bool | supportBandSelection) |  |
| protected

MrSIDSingleImageReaderBase::~MrSIDSingleImageReaderBase | ( | void | ) |  |
| protected

## Member Function Documentation

virtual lt_int64 MrSIDSingleImageReaderBase::getEncodingCost | ( | const LTIScene & | scene) |  | const
| virtual

Returns the "cost" to encode this scene, for use by those image writers which have usage metering enabled. The typical cost is equal to the nominal image size (width * height * numBands * bytesPerSample), but this is overridden for special situations, e.g. the mosaic filter.

Parameters

  scene | the scene to be charged for

Returns
  the cost to encode the given scene

Reimplemented from LTIImageReader.

virtual lt_uint32 MrSIDSingleImageReaderBase::getModifications | ( | const LTIScene & | scene) |  | const
| virtual

This function returns a bitfield describing what kinds of modifications have been made to the image during and since its initial encoding.

Parameters

  scene | the area pertaining to this request

Returns
  a bitfield itemizing the encoding modifications

Reimplemented from LTIImageReader.

LT_STATUS MrSIDSingleImageReaderBase::init | ( | MrSIDImageStageManager * | manager) |  |
| protected

## Member Data Documentation

MrSIDImageStageManager* MrSIDSingleImageReaderBase::m_manager
| protected

Definition at line 276 of file MrSIDImageReaderBase.h.

The documentation for this class was generated from the following file:

- MrSIDImageReaderBase.h

LizardTech